#include <avr/io.h>
#include <inttypes.h>
#define F_CPU 1000000UL  // 1 MHz
#include <util/delay.h>

//globale Variablen
int a; //fuer PWM-Wert
int zustand;// 0=aus , 1=an


void hellwerden(void){
	while (a<253)	
		{
		OCR0A = a; 
		_delay_ms(50);
		a++;
		}
		zustand=1;
}

void dunkelwerden(void){
	while (a>1)	
		{
		OCR0A = a; 
		_delay_ms(50);
		a--;
		}	
		zustand=0;
}


int main (void)
{
	DDRB |=_BV(PB0); 		// Ausgang fuer Transistor mit Lampe
	PORTB &= ~_BV(PB0);	//Lampe aus
	OCR0A = 0;			//Lampe aus
		
	DDRB &= ~_BV(PB3); 	//Taste
	PORTB |= _BV(PB3);		//Pull up Widerstand aktivieren
	
	TCCR0A=(1<<COM0A1) | (1<<WGM00) | (1<<WGM01);	TCCR0B=_BV(CS01); //PWM aktivieren							
	
	
	
	while (1)	{
		if (bit_is_clear(PINB,3)&&(zustand==0)) {hellwerden();}
		if (bit_is_clear(PINB,3)&&(zustand==1)) {dunkelwerden();}		
	}
	
	
return 0;
}




